Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class MappedLoginService.RolePrincipal

    java.lang.Object
      org.eclipse.jetty.security.MappedLoginService.RolePrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

Enclosing class:
  MappedLoginService

    public static class MappedLoginService.RolePrincipal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MappedLoginService.RolePrincipal(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Constructor Detail

### MappedLoginService.RolePrincipal

    public MappedLoginService.RolePrincipal(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.